# CEGUI::UDim Class Reference

Class representing a unified dimension; that is a dimension that has both a relative 'scale' portion and and absolute 'offset' portion. More...

List of all members.

## Public Member Functions

| UDim (float scale, float offset)
float | asAbsolute (float base) const
float | asRelative (float base) const
UDim | operator+ (const UDim &other) const
UDim | operator- (const UDim &other) const
UDim | operator/ (const UDim &other) const
UDim | operator * (const UDim &other) const
const UDim & | operator+= (const UDim &other)
const UDim & | operator-= (const UDim &other)
const UDim & | operator/= (const UDim &other)
const UDim & | operator *= (const UDim &other)
bool | operator== (const UDim &other) const
bool | operator!= (const UDim &other) const

## Public Attributes

float | d_scale
float | d_offset

## Detailed Description

Class representing a unified dimension; that is a dimension that has both a relative 'scale' portion and and absolute 'offset' portion.